%global pypiname	ripe.atlas.tools

%global deps_py3	python3-dateutil python3-requests python3-ripe-atlas-cousteau python3-ripe-atlas-sagan python3-tzlocal python3-PyYAML python3-pyOpenSSL
%global deps_extra_py3	python3-ujson
%global deps_tests_py3	python3-nose python3-coverage python3-mock

# unused
%global deps_py2	python-dateutil python2-requests python2-ripe-atlas-cousteau python2-ripe-atlas-sagan python-tzlocal PyYAML pyOpenSSL
%global deps_extra_py2	python2-ujson
%global deps_tests_py2	python2-nose python2-coverage python-mock

Name:		ripe-atlas-tools
Version:	2.0.1
Release:	2%{?dist}
Summary:	The official command line client for RIPE Atlas

License:	GPLv3
URL:		https://pypi.python.org/pypi/ripe.atlas.tools
Source0:	https://pypi.python.org/packages/source/r/%{pypiname}/%{pypiname}-%{version}.tar.gz

Patch1:		0001-loosen-deps.patch

BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	%deps_py3 %deps_extra_py3 %deps_tests_py3
Requires:	%deps_py3
Recommends:	%deps_extra_py3

%description
The official command line client for RIPE Atlas.

%prep
%autosetup -n %{pypiname}-%{version}

%build
%py3_build

%install
%py3_install

%check
# disable tests because of creating outbound connections
#%__python3 setup.py check nosetests

%files
%{!?_licensedir:%global license %%doc}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypiname}-%{version}-*
%{python3_sitelib}/ripe/atlas/tools
%{_bindir}/adig
%{_bindir}/ahttp
%{_bindir}/antp
%{_bindir}/aping
%{_bindir}/asslcert
%{_bindir}/atraceroute
%{_bindir}/ripe-atlas

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Jun 03 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 2.0.1-1
- package import into Fedora
- new upstream release

* Wed Mar 09 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 1.2.3-1
- new upstream release

* Thu Jan 21 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 1.2.2-2
- include Python 3 library in the main package
- remove Python 2 library

* Tue Jan 19 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 1.2.2-1
- new upstream release
- change project URL to PyPI
- enable unit tests, but ignore their result

* Thu Dec 31 2015 Jan Vcelak <jvcelak@fedoraproject.org> - 1.2.1-1
- initial package
